## ros-foxy-test-robot-hardware 0.1.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(test_robot_hardware)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(hardware_interface REQUIRED)
find_package(rclcpp REQUIRED)

add_library(test_robot_hardware_components SHARED
  src/test_single_joint_actuator.cpp
  src/test_force_torque_sensor.cpp
  src/test_two_joint_system.cpp
)
ament_target_dependencies(test_robot_hardware_components
  hardware_interface
  pluginlib
)
pluginlib_export_plugin_description_file(
  hardware_interface test_robot_components.xml
)

install(DIRECTORY include/
  DESTINATION include
)

install(TARGETS test_robot_hardware_components
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

install(FILES test_robot_hardware.urdf
  DESTINATION share/${PROJECT_NAME}/
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_export_dependencies(
  hardware_interface
  rclcpp
)
ament_export_libraries(test_robot_hardware_components)
ament_export_include_directories(include)
ament_package()

=== debian/changelog ===
ros-foxy-test-robot-hardware (0.1.3-1focal) focal; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Thu, 21 Jan 2021 00:00:00 -0000

ros-foxy-test-robot-hardware (0.1.2-1focal) focal; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Wed, 06 Jan 2021 00:00:00 -0000

ros-foxy-test-robot-hardware (0.1.1-1focal) focal; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Wed, 23 Dec 2020 00:00:00 -0000

ros-foxy-test-robot-hardware (0.1.0-1focal) focal; urgency=high

  * Remove components namespace and folders (#258 <https://github.com/ros-controls/ros2_control/issues/258>)
  * Added starting of resources into CM and RM (#240 <https://github.com/ros-controls/ros2_control/issues/240>)
  * Use resource manager (#236 <https://github.com/ros-controls/ros2_control/issues/236>)
  * Replace RCUTILS_ with RCLCPP_ for logging (#62 <https://github.com/ros-controls/ros2_control/issues/62>)
  * import test_robot_hardware
  * Contributors: Bence Magyar, Denis Štogl, Jafar Abdi, Jordan Palacios, Karsten Knese

 -- Karsten Knese <karsten@osrfoundation.org>  Tue, 22 Dec 2020 00:00:00 -0000

=== debian/control ===
Source: ros-foxy-test-robot-hardware
Section: misc
Priority: optional
Maintainer: Karsten Knese <karsten@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake, ros-foxy-ament-cmake-gtest, ros-foxy-ament-lint-auto, ros-foxy-ament-lint-common, ros-foxy-hardware-interface, ros-foxy-rclcpp, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-test-robot-hardware
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-hardware-interface, ros-foxy-rclcpp, ros-foxy-ros-workspace
Description: Description of test_robot_hardware

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-test-robot-hardware//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
